Subject: Re: Beekeeping Suit Needed

From: Robert Allen Stevens <[email-masked]>
Date: Wed, 24 May 95 20:17:34 -0500

"[email-masked]" <ids.net> writes:
 
>I need to replace a 1 piece pull over (not a button down) suit with
>canvas hat, & veil all attached like Dadant used to sell but seems to
>have discontinued.  Any ideas? Sources?  Help much appreciated!!
 
These pullovers are available from the Betterbee Beekeeping Supply Catalogue -
see ad in may Gleanings in Bee Culture  Calll 1-800- 632- 3379 for a  catalogu
I just moved 250 hives of bees using one - they are great for getting on and
offquickly. Betterbee has sold them for 15 years.